/*
 *  Secure Form
 *
 *  @description:
 *  @since: 1.0
 *  @created: 17/01/13
 */

jQuery(document).ready(function($) {

    $( 'input.secure-password').parents( 'tr').hide();


    $( 'select.license-type').parents( 'tr').hide();
    $( 'select.license-product').parents( 'tr').hide();

    var type = $('select[name="security_type"] option:selected').val();
    display_type( type );


    function display_type( type ) {

        $( '.security').parents( 'tr').hide();

        if ( type == 'password' ) {
            $( 'input.secure-password').parents( 'tr').show();

            $( 'select.license-type').parents( 'tr').hide();
            $( 'select.license-product').parents( 'tr').hide();

            $( '.security_license').parents( 'tr').hide();
            $( '.security_first').parents( 'tr').show();

        } else if ( type == 'license' ) {
            $( 'input.secure-password').parents( 'tr').hide();

            $( 'select.license-type').parents( 'tr').show();
            $( 'select.license-product').parents( 'tr').show();

            $( '.security_license').parents( 'tr').show();
            $( '.security_first').parents( 'tr').show();

            var license = $('select[name="license_type"] option:selected').val();
            display_license( license )
        }

    }

    function display_license ( license ) {

        $( 'select.license-product').parents( 'tr').hide();
        $( 'select#' + license + '_product').parents( 'tr').show();

    }


    $('#post-body-content').on('change', 'select[name="security_type"]', function(){

        var type = $('option:selected', this).val();
        display_type( type );

    });

    $('#post-body-content').on('change', 'select[name="license_type"]', function(){

        var license = $('option:selected', this).val();
        display_license( license );

    });

    $('#post-body-content').on('click', '#generate-password', function( e ){
        e.preventDefault();
        if (document.getElementById("password").disabled  == true) return;
        old_password = $('#password').val();
        $('#password').val('Generating...');
        document.getElementById("password").disabled = true;
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            dataType: 'json',
            data: { action:'nf_security_generate_password'},
            success: function(response){
                $('#password').val(response.password);
                 document.getElementById("password").disabled = false;
            },
            error: function(response, status, error){
                alert('Error: ' + error.replace(/(<([^>]+)>)/ig,""));
                $('#password').val(old_password);
                document.getElementById("password").disabled = false;
            }
        });



    });


});
