<?php

class nf_security_service {

    private $name;
    private $slug;
    private $settings;
    private $plugin_settings;


    function __construct( $name, $slug, $settings) {
        $this->name = $name;
        $this->slug = $slug;
        $this->settings = $settings;
        $this->plugin_settings = get_option( 'ninja_forms_settings' );
    }

    public function get_slug() {
        return $this->slug;
    }

    public function get_name() {
        return $this->name;
    }

    public function get_settings() {
        foreach( $this->settings as $key => $setting ) {
            $this->settings[$key]['name'] = $this->slug .'_'. $this->settings[$key]['name'];
        }
        return $this->settings;
    }


    public function get_setting( $setting ) {
        $service_settings = $this->slug .'_'. $setting;
        if ( isset( $this->plugin_settings[$service_settings] ) ) {
            return $this->plugin_settings[$service_settings];
        } else {
            return '';
        }
    }

    public function is_configured() {
        foreach( $this->settings as $key => $setting ) {
            $service_settings = $this->slug .'_'. $setting['name'];
            if ( ! isset( $this->plugin_settings[$service_settings] )|| ( isset( $this->plugin_settings[$service_settings] ) && $this->plugin_settings[$service_settings] == '' ) ) {
                return false;
            }
        }
        return true;
    }

    public function get_products( $first = true ) {
        $all_products = $this->get_all_products();
        $products = array();
        if ( is_array( $all_products ) && count( $all_products ) > 0 ) {
            if ($first) $products[] = array('name' => 'Let User Select Product', 'value' => '0');
            foreach( $all_products as $product ) {
                 $products[] = array('name' => $product->name, 'value' => $product->id);
            }
        }
        return $products;
    }

    public function verify( ) {

    }

    public function curl( $url, $params = array() ) {

        $args = array( 	'timeout' => 15,
                        'sslverify' => false,
                        'user-agent' => 'Ninja Forms Secure Form; '. home_url(),
                    );

        $url = add_query_arg( $params, $url );
        $response = wp_remote_get( $url, $args );
        if ( is_wp_error( $response ) ) {
            $result = array();
        } else {
            $result =  json_decode( $response['body'] );
        }
        return $result;
    }




} 