<?php
/**
Plugin Name: Ninja Forms - Secure Form
Plugin URI: http://www.polevaultweb.com/
Description: Create secure forms that are password protected or protected via external verification with licenses.
Version: 1.1.2
Author: polevaultweb
Author URI: http://www.polevaultweb.com/

Copyright 2013  polevaultweb  (email : info@polevaultweb.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 3, as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

class ninja_forms_secure_form_plugin
{
    private $plugin_name;
    private $plugin_option_prefix;
    private $plugin_version;
    private $sources;

    /*
    *  Constructor
    *
    *  @description:
    *  @since 1.0
    *  @created: 29/11/13
    */

    function __construct() {

        $this->plugin_name = 'Secure Form';
        $this->plugin_option_prefix = 'secure_form';
        $this->plugin_version = '1.1.2';

        // create remote update
        if( is_admin() ) {
            add_action( 'admin_init', array($this, 'setup_license') );
        }

        if ( ! defined( 'NINJA_FORMS_SECURE_FORM_URL' ) ) {
            define( 'NINJA_FORMS_SECURE_FORM_URL', plugins_url() ."/". basename( dirname( __FILE__ ) ) );
        }
        if ( ! defined( 'NINJA_FORMS_SECURE_FORM_DIR' ) ) {
            define( 'NINJA_FORMS_SECURE_FORM_DIR', dirname(__FILE__) );
        }

        require_once( 'includes/secure-form.php' );
        require_once( 'includes/settings.php' );

        $this->include_services();

        new ninja_forms_secure_form_settings( $this->sources );
        new ninja_forms_secure_form( $this->sources );
    }

    /*
    *  setup_license
    *
    *  @description:
    *  @since: 1.0
    *  @created: 29/11/13
    */

    function setup_license() {
        if ( class_exists( 'NF_Extension_Updater' ) ) {
            $NF_Extension_Updater = new NF_Extension_Updater( $this->plugin_name, $this->plugin_version, 'polevaultweb', __FILE__,  $this->plugin_option_prefix );
        }
    }

    function include_services() {
        require_once( dirname(__FILE__) . '/includes/service.php' );
        $source_dir = glob(dirname(__FILE__) .'/includes/services/*');
        $sources = array();
        if ($source_dir) {
            foreach($source_dir as $dir) {
                include_once($dir);
                $sources[] = basename( $dir, '.php' );
            }
        }
        $this->sources = $sources;

    }

}

new ninja_forms_secure_form_plugin();
